#!/bin/sh
# PCP QA Test No. 1310
# Check segfault in python API labels functions
#
# Copyright (c) 2019 Red Hat.  All Rights Reserved.
#

seq=`basename $0`
echo "QA output created by $seq"

# get standard environment, filters and checks
. ./common.python

$python -c 'from pcp import pmapi' 2>/dev/null
test $? -eq 0 || _notrun 'Python pcp pmapi module is not installed'

$python -c "import argparse" >/dev/null 2>&1
[ $? -eq 0 ] || _notrun "python argparse module not installed"

_cleanup()
{
    cd $here
    $sudo rm -rf $tmp $tmp.*
}

status=0	# failure is the default!
$sudo rm -rf $tmp $tmp.* $seq.full
trap "_cleanup; exit \$status" 0 1 2 3 15

# real QA test starts here
cp /dev/null $seq.full
pminfo sample | grep -v bad | while read m; do
    echo >>$seq.full; echo '### ' $m ' ###' >>$seq.full
    src/labelsets.py $m >>$seq.full || { status=1; break; }
done

if [ $status -eq 0 ]; then echo passed, see $seq.full.ok; else echo failed, see $seq.full; fi
exit
